// Button Register
.btn-register-container {
  // border: 2px dotted $color-dark;
  border-radius: 20px;
  padding: 8px 3px;
  transition: background 0.3s ease, color 0.3s ease;
}
.btn-register {
  color: $color-white !important;
  background: linear-gradient(to right, #323598 10%, #5155fe 90%);
  padding: 8px 20px;
  border-radius: 20px;
  transition: filter 0.3s ease;
}
.btn-register-container:hover {
  opacity: 0.8;
}

.btn-register:hover {
  filter: brightness(0.8);
}

.back {
  position: absolute;
  left: 2vw;
  top: 2vw;
  i {
    font-size: 5vw;
  }
}

.wrapper-menu {
  width: 25px;
  height: 25px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  cursor: pointer;
  transition: transform 330ms ease-out, margin 330ms ease-out, color 330ms ease-out;
}

.wrapper-menu.open {
  transform: rotate(-45deg) !important;
  margin-top: -10px;
  .line-menu {
    background-color: $color-white;
  }
}

.line-menu {
  background-color: $color-dark;
  border-radius: 5px;
  width: 100%;
  height: 6px;
  transition: background-color 330ms ease-out;
}

.line-menu.half {
  width: 50%;
}

.line-menu.start {
  transition: transform 330ms cubic-bezier(0.54, -0.81, 0.57, 0.57);
  transform-origin: right;
}

.open .line-menu.start {
  transform: rotate(-90deg) translateX(3px);
}

.line-menu.end {
  align-self: flex-end;
  transition: transform 330ms cubic-bezier(0.54, -0.81, 0.57, 0.57);
  transform-origin: left;
}

.open .line-menu.end {
  transform: rotate(-90deg) translateX(-3px);
}

.btn-fade {
  border-radius: 30px !important;
  border: none !important;
  color: $color-white;
  width: 150px;
  background: linear-gradient(-225deg, rgba(44, 44, 44, 1), rgba(44, 44, 44, 0.1));
}
.btn-fade:hover {
  box-shadow: 0 0 0 3px rgba(236, 236, 236, 0.5);
}
